/**
 * Class Multiplier - write a description of the class here
 * 
 * @author: Kleanthis Thramboulidis
 * date: 
 */
public class Multiplier extends Operator
{
 public void operate()
  {	        
    Double result = new Double(((Double)Calculator.s.pop()).doubleValue() *
	       			             ((Double)Calculator.s.pop()).doubleValue());

    Calculator.s.push(result);
    Calculator.s.displayStatus();           
  }
}